import Vue from 'vue';
import { PropValidator, ContextGetter } from '../types.js';

var script = /*#__PURE__*/Vue.extend({
  name: "PhWarning",
  props: PropValidator,
  inject: ContextGetter,
  computed: {
    displayWeight() {
      const {
        weight,
        contextWeight
      } = this;
      return weight ?? contextWeight;
    },

    displaySize() {
      const {
        size,
        contextSize
      } = this;
      return size ?? contextSize;
    },

    displayColor() {
      const {
        color,
        contextColor
      } = this;
      return color ?? contextColor;
    },

    displayMirrored() {
      const {
        mirrored,
        contextMirrored
      } = this;
      return mirrored ?? contextMirrored ? "scale(-1, 1)" : undefined;
    }

  }
});

export { script as default };
